Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1115663 - Review Request: nodejs-clean-css - A well-tested CSS minifier
Summary: Review Request: nodejs-clean-css - A well-tested CSS minifier
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1115673
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:03 UTC by Ralph Bean
Modified: 2014-08-15 02:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 21:33:24 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-02 21:03:10 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-clean-css.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-clean-css-2.2.5-1.fc20.src.rpm

Description:
Clean-css is a fast and efficient [Node.js](http://nodejs.org/) library for
minifying CSS files.

Comment 1 Parag AN(पराग) 2014-07-17 16:41:22 UTC
Suggestions:
1) Add following to spec
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

2) Update to latest upstream

Comment 2 Ralph Bean 2014-07-21 19:03:11 UTC
New release includes latest upstream and specifies noarch:

Spec URL: http://threebean.org/rpm/SPECS/nodejs-portscanner.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-portscanner-1.0.0-2.fc20.src.rpm

Comment 3 Parag AN(पराग) 2014-07-22 03:43:24 UTC
Looks like different links got pasted here ;-)

I am picking the correct links as

SPEC URL: http://threebean.org/rpm/SPECS/nodejs-clean-css.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-clean-css-2.2.8-1.fc20.src.rpm

This will help for fedora-review script.

Comment 4 Parag AN(पराग) 2014-07-22 04:18:18 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
nodejs-clean-css.noarch: W: spelling-error Summary(en_US) minifier -> magnifier
nodejs-clean-css.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-clean-css.noarch: W: spelling-error %description -l en_US http -> HTTP
nodejs-clean-css.noarch: W: spelling-error %description -l en_US minifying -> magnifying, indemnifying, signifying
nodejs-clean-css.noarch: W: only-non-binary-in-usr-lib
nodejs-clean-css.noarch: W: dangling-symlink /usr/lib/node_modules/clean-css/node_modules/commander /usr/lib/node_modules/commander
nodejs-clean-css.src: W: spelling-error Summary(en_US) minifier -> magnifier
nodejs-clean-css.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-clean-css.src: W: spelling-error %description -l en_US http -> HTTP
nodejs-clean-css.src: W: spelling-error %description -l en_US minifying -> magnifying, indemnifying, signifying
2 packages and 0 specfiles checked; 0 errors, 10 warnings.

==> No issues

+ Source verified with upstream as (sha256sum)
srpm tarball     :81cb03b50eac92796eca26bf25a3e609c6bb099cf541c6cb51dd4d77389f394f
upstream tarball :81cb03b50eac92796eca26bf25a3e609c6bb099cf541c6cb51dd4d77389f394f

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines

APPROVED.

Comment 5 Ralph Bean 2014-07-22 14:13:04 UTC
(In reply to Parag AN(पराग) from comment #3)
> Looks like different links got pasted here ;-)
> 
> I am picking the correct links as
> 
> SPEC URL: http://threebean.org/rpm/SPECS/nodejs-clean-css.spec
> SRPM URL:
> http://threebean.org/rpm/SRPMS/nodejs-clean-css-2.2.8-1.fc20.src.rpm
> 
> This will help for fedora-review script.

That's right!  Sorry about the mis-paste there..

Comment 6 Ralph Bean 2014-07-22 14:13:49 UTC
New Package SCM Request
=======================
Package Name: nodejs-clean-css
Short Description: A well-tested CSS minifier
Upstream URL: https://npmjs.org/package/clean-css
Owners: ralph
Branches: f21,f20,f19,epel7,el6
InitialCC:

Comment 7 Gwyn Ciesla 2014-07-22 14:36:06 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-07-22 17:40:33 UTC
nodejs-clean-css-2.2.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-clean-css-2.2.8-1.fc20

Comment 9 Fedora Update System 2014-07-22 17:40:45 UTC
nodejs-clean-css-2.2.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-clean-css-2.2.8-1.fc19

Comment 10 Ralph Bean 2014-07-22 21:33:24 UTC
Buildroot overrides created.

Comment 11 Fedora Update System 2014-08-15 02:38:53 UTC
nodejs-clean-css-2.2.8-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2014-08-15 02:50:03 UTC
nodejs-clean-css-2.2.8-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.